server.port=8082
spring.profiles.active=prod
spring.main.banner-mode=off
spring.http.encoding.force=true
spring.http.encoding.enabled=true
spring.http.encoding.charset=UTF-8
# ===============================
# = Mongo Config
# ===============================
spring.datasource.driver-class-name=mongodb.jdbc.MongoDriver
spring.data.mongodb.database=skg_preprocessing
spring.data.mongodb.port=27017
spring.data.mongodb.host=localhost
# ===============================
# = Redis Config
# ===============================
spring.redis.host=192.168.10.195
spring.redis.password=iot2016
spring.redis.port=6379

# ===============================
# = Logger Config
# ===============================

logging.level.ROOT: INFO
logging.level.org.springframework.web=ERROR
logging.level.com.addixo.smartfactory.preprocessing=DEBUG
logging.level.org.springframework.data: ERROR
# Logging pattern for the console
logging.pattern.console= %d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} %M %L - %m%n 

# Logging pattern for file
logging.pattern.file= "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg %n"
logging.file=/tmp/addixo/smartfactory_preprocessing.log
# ===============================
# = Time Config
# ===============================
spring.jackson.serialization.write-dates-as-timestamps=false
